BEEM - Android XMPP - Bug #212
[Login] Crash on screen orientation change
Description

When you are starting BEEM, if you change your screen orientation during the connection process, the application crash.

Some solutions are pointed out on that thread:

http://stackoverflow.com/questions/1111980/how-to-handle-screen-orientation-change-when-progress-dialog

-and-background-threa

The last solution seems to be the "one"

Move the long task to a seperate class. Implement it as a subject-observer pattern. Whenever the activity is created register and
while closing unregister with the task class. Task class can use AsyncTask.

Traces of the crash

11-16 23:30:50.863:

INFO/ActivityManager(71): Starting activity: Intent { act=android.intent.action.MAIN

cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.beem.project.beem/.ui.Login }

11-16 23:30:51.033:
11-16 23:30:51.073:
11-16 23:30:51.073:
11-16 23:30:52.093:
11-16 23:30:52.093:
11-16 23:30:52.093:
11-16 23:30:52.103:
11-16 23:30:52.113:
11-16 23:30:52.133:
11-16 23:30:52.133:
11-16 23:30:52.223:
11-16 23:30:52.313:
11-16 23:30:52.373:

DEBUG/LOG_AS(22825): BEGIN onCreate.

DEBUG/LOG_AS(22825): END onCreate.

DEBUG/LOG_AS(22825): BEGIN onStart.

DEBUG/LOG_AS(22825): END onStart.

DEBUG/LOG_AS(22825): BEGIN onResume.

DEBUG/LOG_AS(22825): END onResume.

DEBUG/BeemService(22825): ONCREATE

DEBUG/BeemService(22825): ONBIND

DEBUG/LOG_AS(22825): BEGIN onServiceConnected.

DEBUG/LOG_AS(22825): END onServiceConnected.

INFO/ActivityManager(71): Displayed activity com.beem.project.beem/.ui.Login: 1206 ms (total 1206 ms)
DEBUG/BeemService(22825): onStart

INFO/global(22825): Default buffer size used in BufferedReader constructor. It would be better to be explicit if

an 8k-char buffer is required.

11-16 23:30:52.373:

INFO/global(22825): Default buffer size used in BufferedWriter constructor. It would be better to be explicit if an

8k-char buffer is required.

11-16 23:30:52.583:
11-16 23:30:52.583:
11-16 23:30:52.583:

WARN/System.err(22825): java.security.KeyStoreException: KeyStore jks implementation not found
WARN/System.err(22825):  at java.security.KeyStore.getinstance(KeyStore.java:142)
WARN/System.err(22825):  at

org.jivesoftware.smack.ServerTrustManager.<init>(ServerTrustManager.java:61)

11-16 23:30:52.593:

WARN/System.err(22825):  at

org.jivesoftware.smack.XMPPConnection.proceed TLSReceived(XMPPConnection.java:1246)

11-16 23:30:52.593:
: WARN/System.err(22825):
11-16 23:30:52.593:
11-16 23:30:52.723:
11-16 23:30:52.723:
11-16 23:30:52.733:

11-16 23:30:52.593

layout=18}

11-16 23:30:52.813:
11-16 23:30:52.813:
11-16 23:30:52.813:
11-16 23:30:52.933:

04/30/2025

WARN/System.err(22825):  at org.jivesoftware.smack.PacketReader.parsePackets(PacketReader.java:313)
at org.jivesoftware.smack.PacketReader.access$000(PacketReader.java:44)
WARN/System.err(22825):  at org.jivesoftware.smack.PacketReader$1.run(PacketReader.java:76)
INFO/WindowManager(71): onOrientationChanged, rotation changed to 1

INFO/WindowManager(71): Setting rotation to 1, animFlags=0

INFO/WindowManager(71): Config changed: { scale=1.0 imsi=0/0 loc=en_IE touch=3 keys=1/1/2 nav=3 orien=2

DEBUG/LOG_AS(22825): BEGIN onPause.
DEBUG/LOG_AS(22825): END onPause.
DEBUG/LOG_AS(22825): BEGIN onStop.
DEBUG/StatusBar(71): updateResources
11-16 23:30:52.983:

INFO/global(22825): Default buffer size used in BufferedReader constructor. It would be better to be explicit if

an 8k-char buffer is required.

11-16 23:30:53.003:

INFO/global(22825): Default buffer size used in BufferedWriter constructor. It would be better to be explicit if an

8k-char buffer is required.

11-16 23:30:53.023:
11-16 23:30:53.023:
11-16 23:30:53.053:
11-16 23:30:53.073:
11-16 23:30:53.243:
11-16 23:30:53.353:
11-16 23:30:53.363:
11-16 23:30:53.663:
11-16 23:30:53.663:
11-16 23:30:53.663:
11-16 23:30:53.673:
11-16 23:30:53.673:

INFO/ActivityManager(71): Stopping service: com.beem.project.beem/.BeemService
DEBUG/LOG_AS(22825): END onStop.

WARN/System.err(22825): org.apache.harmony.security.provider.cert. DRLCertFactory
DEBUG/LOG_AS(22825): BEGIN onCreate.

DEBUG/dalvikvm(22825): GC freed 4704 objects / 348856 bytes in 151ms
DEBUG/LOG_AS(22825): END onCreate.

DEBUG/LOG_AS(22825): BEGIN onStart.

DEBUG/LOG_AS(22825): BEGIN onConnect.

WARN/dalvikvm(22825): threadid=17: thread exiting with uncaught exception (group=0x4001da28)
ERROR/AndroidRuntime(22825): Uncaught handler: thread Thread-19 exiting due to uncaught exception
ERROR/AndroidRuntime(22825): java.lang.NullPointerException

ERROR/AndroidRuntime(22825):  at

com.beem.project.beem.ui.Login$BeemConnectionListener.onConnect(Login.java:328)

11-16 23:30:53.673:

ERROR/AndroidRuntime(22825):  at

com.beem.project.oeem.service.XmppConnectionAdapter$ConnexionListenerAdapter.onConnect(XmppConnectionAdapter.java:368

)

11-16 23:30:53.673:

ERROR/AndroidRuntime(22825):  at

com.beem.project.beem.service. XmppConnectionAdapter.triggerAsynchronousConnectEvent(XmppConnectionAdapter.java:243)

11-16 23:30:53.673:

ERROR/AndroidRuntime(22825):  at

com.beem.project.oeem.service. XmppConnectionAdapter.connectSync(XmppConnectionAdapter.java:142)

11-16 23:30:53.673:

ERROR/AndroidRuntime(22825):  at

com.beem.project.oeem.service. XmppConnectionAdapter$1.run(XmppConnectionAdapter.java:116)

11-16 23:30:53.673:
11-16 23:30:53.683:
11-16 23:30:53.683:
11-16 23:30:53.763:
11-16 23:30:54.393:
11-16 23:30:54.393:
11-16 23:30:54.393:
11-16 23:30:54.423:
11-16 23:30:54.443:
11-16 23:30:54.453:
11-16 23:30:54.616:
11-16 23:30:54.623:
11-16 23:30:54.623:
11-16 23:30:54.653:
11-16 23:30:54.653:
11-16 23:30:54.853:
11-16 23:30:54.893:

ERROR/AndroidRuntime(22825):  at java.lang.Thread.run(Thread.java:1060)
INFO/Process(71): Sending signal. PID: 22825 SIG: 3

INFO/dalvikvm(22825): threadid=7: reacting to signal 3

INFO/dalvikvm(22825): Wrote stack trace to '/data/anr/traces.txt'
DEBUG/LOG_AS(22825): END onStart.

DEBUG/LOG_AS(22825): BEGIN onResume.

DEBUG/LOG_AS(22825): END onResume.

DEBUG/BeemService(22825): ONUNBIND
DEBUG/XMPPConnectionAdapter(22825): closing connection
DEBUG/dalvikvm(22825): threadid=25 wakeup: interrupted
DEBUG/BeemService(22825): ONDESTROY

DEBUG/BeemService(22825): ONCREATE

DEBUG/BeemService(22825): ONBIND

DEBUG/LOG_AS(22825): BEGIN onServiceConnected.
DEBUG/LOG_AS(22825): END onServiceConnected.
DEBUG/BeemService(22825): onStart

INFO/global(22825): Default buffer size used in BufferedReader constructor. It would be better to be explicit if

an 8k-char buffer is required.

11-16 23:30:54.893:

INFO/global(22825): Default buffer size used in BufferedWriter constructor. It would be better to be explicit if an

8k-char buffer is required.

11-16 23:30:54.983:
11-16 23:30:55.013:
11-16 23:30:55.033:

WARN/System.err(22825): java.security.KeyStoreException: KeyStore jks implementation not found
WARN/System.err(22825):  at java.security.KeyStore.getinstance(KeyStore.java:142)
WARN/System.err(22825):  at

org.jivesoftware.smack.ServerTrustManager.<init>(ServerTrustManager.java:61)

11-16 23:30:55.033:

WARN/System.err(22825):  at

org.jivesoftware.smack.XMPPConnection.proceed TLSReceived(XMPPConnection.java:1246)

11-16 23:30:55.033:
11-16 23:30:55.043:
11-16 23:30:55.043:
11-16 23:30:55.173:
11-16 23:30:55.203:

WARN/System.err(22825):  at org.jivesoftware.smack.PacketReader.parsePackets(PacketReader.java:313)
WARN/System.err(22825):  at org.jivesoftware.smack.PacketReader.access$000(PacketReader.java:44)
WARN/System.err(22825):  at org.jivesoftware.smack.PacketReader$1.run(PacketReader.java:76)
INFO/Process(22825): Sending signal. PID: 22825 SIG: 9

INFO/WindowManager(71): WIN DEATH: Window{435d6220

com.beem.project.beem/com.beem.project.beem.ui.Login paused=false}

11-16 23:30:55.213:

INFO/WindowManager(71): WIN DEATH: Window{435e60f8

com.beem.project.beem/com.beem.project.beem.ui.Login paused=false}

11-16 23:30:55.243:
11-16 23:30:55.243:

5000ms

11-16 23:30:55.603:
11-16 23:30:55.633:
11-16 23:30:55.653:

layout=18}

04/30/2025

INFO/ActivityManager(71): Process com.beem.project.beem (pid 22825) has died.
WARN/ActivityManager(71): Scheduling restart of crashed service com.beem.project.oeem/.BeemService in

DEBUG/dalvikvm(71): GC freed 4519 objects / 229968 bytes in 275ms

INFO/WindowManager(71): Setting rotation to 0, animFlags=0
INFO/WindowManager(71): Config changed: { scale=1.0 imsi=0/0 loc=en_|E touch=3 keys=1/1/2 nav=3 orien=1
11-16 23:30:55.673: INFO/WindowManager(71): Config changed: { scale=1.0 imsi=0/0 loc=en_|E touch=3 keys=1/1/2 nav=3 orien=1
layout=18}

11-16 23:30:55.903: WARN/UsageStats(71): Unexpected resume of com.android.launcher while already resumed in
com.beem.project.boeem

11-16 23:30:55.923: DEBUG/StatusBar(71): updateResources

11-16 23:30:55.953: INFO/WindowManager(71): Config changed: { scale=1.0 imsi=0/0 loc=en_I|E touch=3 keys=1/1/2 nav=3 orien=1
layout=18}

11-16 23:30:56.073: WARN/InputManagerService(71): Got RemoteException sending setActive(false) notification to pid 22825 uid
10038

11-16 23:30:57.923: DEBUG/dalvikvm(71): GC freed 4733 objects / 217888 bytes in 231ms

History

#1 - 11/17/2009 12:34 AM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee changed from Frédéric Barthéléry to Nikita Kozlov

Interesting...

#2 - 11/19/2009 04:36 PM - Vincent Véronis

- Target version set to Version Forum EIP

#3 - 11/19/2009 05:03 PM - Philippe Lago
- Status changed from Assigned to Resolved
- Target version changed from Version Forum EIP to 0.1

- % Done changed from 0 to 100

Ajout de l'option android:screenQOrientation="portrait" dans le manifest.xml

#4 - 12/04/2009 03:50 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
